
#if UNITY_EDITOR
using UnityEditor;
#endif

using UnityEngine;

namespace GatherAndDefend.LevelEditor
{
    [RequireComponent(typeof(Grid))]
    public class LevelEditor : MonoBehaviour
    {
#if UNITY_EDITOR
        [SerializeField]
        private DefaultAsset _path;
        public DefaultAsset Path
        {
            get => _path;
            set => _path = value;
        }
#endif

        [SerializeField]
        private Level _level;
        public Level Level
        {
            get => _level;
            set => _level = value;
        }

    }
}